Skip to main content

Create a library track and trigger analysis with signed upload URL

POST 

/library-tracks

Upload an audio file to Cyanite and trigger an analysis. This is the entrypoint of the Tagging workflow.

This endpoint facilitates audio file upload via two distinct mechanisms.

Direct Upload: use a multipart/form-data HTTP body to provide the audio file and associated parameters.

Signed URL: provide only the parameters of the LibraryTrack, and then proceed to upload your audio file via the signed URL that you receive in response to this request.

Once this endpoint is called, a LibraryTrack is created to represent the recording in your Cyanite library. The id of the new LibraryTrack is provided in the response to this request. Once the audio file is uploaded to the Cyanite service, our systems will be notified and start analyzing your music. Once the analysis is finished, we will notify you via your configured webhook.

We recommend implementing a webhook endpoint to be notified of track completion rather than polling, to avoid running into rate limits.

Request​

Responses​

Library track created. Analysis will be triggered by track upload

Callbacks​

POST 

https://example.com/your-preconfigured-webhook-url

A POST request to your preconfigured webhook url that notifies you of a successful analysis

Callbacks Responses​

You acknowledge receipt of the webhook. If you respond with any status code other than 200, the webhook will be retried until you do, or the webhook will be marked as failed, and no other messages will be delivered